#include "OscOutput.h"

#include "oscpack/osc/OscOutboundPacketStream.h"
#include "oscpack/ip/UdpSocket.h"


MyOSC::MyOSC(const char *address, int port)
{
 m_transmitSocket = new UdpTransmitSocket( IpEndpointName( address, port ) );
 sprintf(m_addressString, "%s:%i", address, port);
}

MyOSC::~MyOSC()
{
 delete m_transmitSocket;
}

// formatting messages into a packet for sending:
void MyOSC::SendValue(char *param_name, float param_value)
{
 static char buffer[OSC_OUTPUT_BUFFER_SIZE];

 osc::OutboundPacketStream p( buffer, OSC_OUTPUT_BUFFER_SIZE );
    
 p << osc::BeginMessage( param_name ) << (float)param_value << osc::EndMessage;
      
 m_transmitSocket->Send( p.Data(), p.Size() );
}    

